@charset "utf-8";
/* CSS Document */

.animated {
	animation-duration: 2s;
	animation-fill-mode: both;
  }
  
.animated.zoomIn {
	animation-duration: 1s;
	animation-fill-mode: both;
	}

.animated.infinite {
	animation-iteration-count: infinite;
	}
	

/*擺動*/
.lazy_shake {
	animation-name: lazy_shake;
	transform-origin: 50% 100%;
	animation:lazy_shake 0.2s infinite;/*IE*/
	-moz-animation:lazy_shake 0.2s infinite ;/*FireFox*/
	-webkit-animation:lazy_shake 0.2s infinite;/*Chrome,Safari*/
	
	}
	
@keyframes lazy_shake {
  from, to {
    transform: rotate(deg);
  }

  50% {
    transform: rotate(-15deg);
  }
  100% {
    transform: rotate(deg);
  }
}

@keyframes bounceInLeft {
	from, 60%, 75%, 90%, to {
	  animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
	}
  
	0% {
	  opacity: 0;
	  transform: translate3d(-3000px, 0, 0);
	}
  
	60% {
	  opacity: 1;
	  transform: translate3d(25px, 0, 0);
	}
  
	75% {
	  transform: translate3d(-10px, 0, 0);
	}
  
	90% {
	  transform: translate3d(5px, 0, 0);
	}
  
	to {
	  transform: none;
	}
  }
  
  .bounceInLeft {
	animation-name: bounceInLeft;
  }
  
  
	

/*飄-上下*/
.uptodown-play { -webkit-animation:uptodown-play 1.5s infinite alternate;
				         animation:uptodown-play 1.5s infinite alternate;}
	@-webkit-keyframes uptodown-play { 
		0% { 
			-webkit-transform: translate(0,-10px);  
		} 
		100% { 
			-webkit-transform: translate(0,0);
		}
	}
	@keyframes uptodown-play { 
		0% { 
			transform: translate(0,-10px);  
		} 
		100% { 
			transform: translate(0,0);
		}
	}

/*飄-下上*/
.downtoup-play { -webkit-animation:downtoup-play 1.5s infinite alternate;
				         animation:downtoup-play 1.5s infinite alternate;}
	@-webkit-keyframes downtoup-play { 
		0% { 
			-webkit-transform: translate(0,0);  
		} 
		100% { 
			-webkit-transform: translate(0,-10px);
		}
	}
	@keyframes downtoup-play { 
		0% { 
			transform: translate(0,0);  
		} 
		100% { 
			transform: translate(0,-10px);
		}
	}



/*轉轉3*/
.rotate3-play { -webkit-animation:rotate3-play 20s linear infinite ;
				       animation:rotate3-play 20s linear infinite ;}
	@keyframes rotate3-play {
	  100% { 
			transform: rotate(-360deg);
	  }
	}

/*背景飄上*/
.bgupup-play { -webkit-animation:bgupup-play 40s linear infinite ;
				       animation:bgupup-play 40s linear infinite ;}
	@keyframes bgupup-play {
	  100% { background-position: center -925px;
	  }
	}


/*心跳A*/
.heartbeat-play {-webkit-animation-duration: 1s;  animation-duration: 1s;  -webkit-animation-name: heartbeat-play;  animation-name: heartbeat-play;  -webkit-animation-iteration-count: infinite;    animation-iteration-count:infinite;/* -webkit-animation-direction: alternate;animation-direction: alternate;*/}
	@-webkit-keyframes heartbeat-play {   
		0%   { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		40%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);} 
		60%  { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		80%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);}
		100% { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		}
	@keyframes heartbeat-play { 
		0%   { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		40%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);} 
		60%  { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
		80%  { -webkit-transform: scale(0.95); transform: scale(0.95); filter:brightness(100%);}
		100% { -webkit-transform: scale(1); transform: scale(1); filter:brightness(120%);} 
	}

/*彈跳*/	
.bounce-play { -webkit-animation:bounce-play 3s linear infinite ;
				          animation:bounce-play 3s linear infinite ;}
	@-webkit-keyframes bounce-play {
	  0%, 5%, 12.5%, 20%, 25% {
		-webkit-transform: translateY(0);
		transform: translateY(0);
	  }
	
	  10% {
		-webkit-transform: translateY(-10%);
		transform: translateY(-10%);
	  }
	
	  15% {
		-webkit-transform: translateY(-5%);
		transform: translateY(-5%);
	  }
	}
	
	@keyframes bounce-play {
	  0%, 5%, 12.5%, 20%, 25% {
		-webkit-transform: translateY(0);
		transform: translateY(0);
	  }
	
	  10% {
		-webkit-transform: translateY(-10%);
		transform: translateY(-10%);
	  }
	
	  15% {
		-webkit-transform: translateY(-5%);
		transform: translateY(-5%);
	  }
	}

/*主標微亮*/		  
.minbright-play { -webkit-animation:minbright-play 2s infinite alternate; animation:minbright-play 2s infinite alternate ;}
	@-webkit-keyframes minbright-play {
	  0% { 
		filter:brightness(110%);
	  }
	  100% { 
		filter:brightness(100%);
	  }
	}
	@keyframes minbright-play {
	  0% { 
		filter:brightness(110%);
	  }
	  100% { 
		filter:brightness(100%);
	  }
	}

/*閃光*/				  
.brightness-play1 { -webkit-animation:brightness-play 3s infinite ;
				           animation:brightness-play 3s infinite ;}
	@-webkit-keyframes brightness-play {
	  0% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  92% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  94% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(200%);
	  }
	  96% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  98% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(120%);
	  }
	  100% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/1500/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	}
	@keyframes brightness-play {
	  0% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  92% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  94% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(120%);
	  }
	  96% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
	  98% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="2" /><feFuncG type="linear" slope="2" /><feFuncB type="linear" slope="2" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(120%); 
		        filter:brightness(120%);
	  }
	  100% { 
		filter:url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg"><filter id="filter"><feComponentTransfer color-interpolation-filters="sRGB"><feFuncR type="linear" slope="1" /><feFuncG type="linear" slope="1" /><feFuncB type="linear" slope="1" /></feComponentTransfer></filter></svg>#filter'); 
		-webkit-filter:brightness(100%); 
		        filter:brightness(100%);
	  }
}




